
Family Care - Bug #2357

Update File - 2ed step (المشرف)

01/11/2021 12:44 PM - Saja Nakhleh

Status: Closed Start date: 01/07/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1: 

an empty page will be opened !

Issue #2:

the claim action is shown with all the

actions which is contradict a major

requirement (real scenario and core

feature)

Severity: Normal Environment: QA

Category: Update file Transaction Number:  

Sub-Category:  Username: USR00313/12345678

Step_Description:  Browser: Firefox

Pre_Conditions:  URL:  

Expected Result: Issue #1:

the report should be opened 

if the data is NULL, then an empty

framed report will be generated and

opened 

if the data is exist then a filled framed

report will be generated and opened

Issue #2:

as reported before for open file service, if

the claim action is shown then all the

other actions should be hidden

Test Case ID:  

Description

Issue #1:

1. Assign a task to the second step (خطوة المشرف)

2. Click the (financial data) action

3. Observe the opened page

Issue #2:

1. Assign a task to the second step (خطوة المشرف)

2. Observe the available actions

History

#1 - 01/12/2021 01:05 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Mohannad Sabra

#2 - 01/18/2021 10:26 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Rahaf Khashroom

Dear Rahaf,

Kindly check the errors and in case any question you may contact Saja for the test and me for business inquires.
#3 - 03/29/2021 01:38 PM - Rahaf Khashroom

- Status changed from Open to Feedback

- Assignee changed from Rahaf Khashroom to Saja Nakhleh

Issue #1: Will be handled from Mohannad side

Issue #2: business issue , and regarding to my discussion with Mohannad we will keep the current behavior.

#4 - 04/12/2021 02:46 PM - Saja Nakhleh

- File البيانات المالية.pdf added

- File القرارات.pdf added

- File 90.GIF added

- Assignee changed from Saja Nakhleh to Rahaf Khashroom

Issue #1:

tested and verified. observe the attached reports

Issue #2:

needs business investigation and approval from the client side

New issue, issue #3:

1. select the file of the ID: 290042800055/2086832108

2. submit update file task

3. Open the task using the supervisor user

4. navigate to the (supervisor decision) tab and select the option(استمرار الملف إلى تاريخ * مع استرجاع ما صرف عن الفترة من إلى و سبب

(.** الاسترجاع مع صرف مستحق عن الفترة من إلى و سبب الاستحقاق

results: the dates should be validated, hence the end dates should be after the starts dates. evidence 90.gif

#5 - 04/18/2021 11:05 AM - Rahaf Khashroom

issue #3: Fixed

#6 - 04/18/2021 11:05 AM - Rahaf Khashroom

- Status changed from Feedback to Fixed

- Assignee changed from Rahaf Khashroom to Saja Nakhleh

#7 - 04/21/2021 02:22 PM - Rahaf Khashroom

New enhancement on First step (Researcher Step) :

When a serial number of deceased person is entered and the file status is (أيقاف ) or (استمرار ايقاف),  the social status field will be enabled and

the user can submit the task.

but if the file status is (ساري) or (استمرار), the social status field still disabled and an error message will show and the user cannot submit the task.

#8 - 04/26/2021 04:49 PM - Saja Nakhleh

Issue #3:

tested and verified.
New enhancement:

waiting for the showstopper in report #2396 to be tested and closed

#9 - 05/02/2021 03:34 PM - Saja Nakhleh

New enhancement:

new show stopper preventing test this issue, the (تحقق من بيانات الربط) action is disabled as on the following video:

https://www.loom.com/share/7e0e0f7a270f428999f3618a1d0812e7

#10 - 05/09/2021 06:44 AM - Saja Nakhleh

- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Rahaf Khashroom

#11 - 05/16/2021 02:04 PM - Rahaf Khashroom

- Assignee changed from Rahaf Khashroom to Saja Nakhleh

This issue  has no applicable solution as Mohannad mentioned in the bug report #2381

#12 - 05/17/2021 11:38 AM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Rahaf Khashroom

New enhancement:

the died beneficiary is always returned as not found on PACI records.

#13 - 05/18/2021 11:58 AM - Rahaf Khashroom

- Status changed from Feedback to Fixed

- Assignee changed from Rahaf Khashroom to Saja Nakhleh

New enhancement: Fixed

#14 - 05/18/2021 01:43 PM - Saja Nakhleh

New enhancement:

a. tested and verified on the update file

b. a show stopper prevents test the enhancement on the change file form (http://mscjo.dynalias.com:8089/redmine/issues/2370)

hence this part has been moved to report http://mscjo.dynalias.com:8089/redmine/issues/2375

#15 - 05/18/2021 02:15 PM - Saja Nakhleh

- Status changed from Fixed to Closed

Files

pdf.البيانات المالية 63.1 KB 04/12/2021 Saja Nakhleh

pdf.القرارات 63.4 KB 04/12/2021 Saja Nakhleh

90.GIF 231 KB 04/12/2021 Saja Nakhleh
